Bug 452144 - Opacity Keyframes can be added to a vector layer but they can't be Saved in the .kra file.
Summary: Opacity Keyframes can be added to a vector layer but they can't be Saved in t...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Animation (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Debian stable Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-01 09:31 UTC by Ahab Greybeard
Modified: 2022-04-06 01:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ahab Greybeard 2022-04-01 09:31:44 UTC
SUMMARY
This bug is present in versions 4.4.8, 5.0.2 and the Mar 31 5.1.0-prealpha (git 625152f808) appimages, tested on Debian 10.

A vector layer can have opacity keyframes added to it and these work when the animation is played.

When the document is Saved as a .kra file, Closed and then Opened, the opacity keyframes are not present and the opacity of the vector layer has been set to whatever the animation frame opacity was when it was Saved.

STEPS TO REPRODUCE
See Summary

OBSERVED RESULT
See Summary. This is to be expected.
This situation has confused at least one user in the recent past.

EXPECTED RESULT
It should not be possible to add opacity keyframes to a vector layer.

Note: The workaround for this is to put the vector layer in a Group and apply the opacity keyframes to the group layer.

SOFTWARE/OS VERSIONS
Krita

 Version: 5.1.0-prealpha (git 625152f)
 Languages: en_GB, en, en, en_GB, en
 Hidpi: false

Qt

  Version (compiled): 5.12.12
  Version (loaded): 5.12.12

OS Information

  Build ABI: x86_64-little_endian-lp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: linux
  Kernel Version: 4.19.0-20-amd64
  Pretty Productname: Debian GNU/Linux 10 (buster)
  Product Type: debian
  Product Version: 10
  Desktop: MATE
Comment 1 Emmet O'Neill 2022-04-06 01:22:28 UTC
Git commit f54ec56e6d55e971020e9bef2a5547f5aadf052a by Emmet O'Neill.
Committed on 06/04/2022 at 01:19.
Pushed by emmetoneill into branch 'master'.

Animation: Fixed vector layer scaler keyframe loading.

Opacity channel now loads correctly for vector layers.

M  +1    -0    plugins/impex/libkra/kis_kra_load_visitor.cpp

https://invent.kde.org/graphics/krita/commit/f54ec56e6d55e971020e9bef2a5547f5aadf052a
Comment 2 Emmet O'Neill 2022-04-06 01:23:15 UTC
Git commit 9304161f95b9ed7b255ec9f3fe0107cf83b1b985 by Emmet O'Neill.
Committed on 06/04/2022 at 01:23.
Pushed by emmetoneill into branch 'krita/5.0'.

Animation: Fixed vector layer scaler keyframe loading.

Opacity channel now loads correctly for vector layers.


(cherry picked from commit f54ec56e6d55e971020e9bef2a5547f5aadf052a)

M  +1    -0    plugins/impex/libkra/kis_kra_load_visitor.cpp

https://invent.kde.org/graphics/krita/commit/9304161f95b9ed7b255ec9f3fe0107cf83b1b985